[Buildroot] [PATCH 6/9] support/docker: add script to generate docker images

Yann E. MORIN yann.morin.1998 at free.fr
Sat Dec 16 16:09:59 UTC 2023


Signed-off-by: "Yann E. MORIN" <yann.morin.1998 at free.fr>
---
 support/docker/build-all | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100755 support/docker/build-all

diff --git a/support/docker/build-all b/support/docker/build-all
new file mode 100755
index 0000000000..d5c01771cf
--- /dev/null
+++ b/support/docker/build-all
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+
+BR2_DOCKER_VERSION="${1}"
+
+if [ -z "${BR2_DOCKER_VERSION}" ]; then
+    printf 'Usage: %s VERSION\n' "${0}"
+    exit 1
+fi
+
+BASE_DIR="${0%/*}"
+for context_dir in "${BASE_DIR}"/*/; do \
+    distro="$(basename "${context_dir}")"
+    docker build \
+        -t "buildroot/${distro}:${BR2_DOCKER_VERSION}" \
+        "${context_dir}"
+done
-- 
2.43.0




More information about the buildroot mailing list